##############################################################################
#
# Copyright (c) 2004 Zope Corporation and Contributors.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""
$Id: utils.py 606 2004-11-05 18:50:18Z sidnei $
"""

from Products.Archetypes.utils import wrap_method
from Products.Archetypes.utils import isWrapperMethod, WRAPPER
from Products.DavPack import log

def patch_base(klass):
    meths = klass.__dict__.items()
    meths = filter(lambda item: not item[0].startswith('__'), meths)
    base = klass.__bases__[0]
    kname = base.__name__
    for name, meth in meths:
        old_meth = getattr(base, name, None)
        if old_meth is not None:
            if not isWrapperMethod(old_meth):
                wrap_method(base, name, meth, pattern='__davpack_%s__')
                log('Patch applied to %s.%s' % (kname, name))
        else:
            setattr(meth, WRAPPER, True)
            setattr(base, name, meth)
            log('Patch applied to %s.%s' % (kname, name))
