# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: container.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from zope.app import zapi
from zope.event import notify
from zope.app.event.objectevent import ObjectCreatedEvent
from zope.app.container.interfaces import IContainer
from sip.interfaces.location import ILocation
from sip.browser import api
from sip.shipment.interfaces import IShipment

class AddContainer:

    _rows = None
    _cols = None
    _name = None

    def __init__(self, context, request):
        # XXX This is bad, as we are changing the
        # rug under our feet. The solution is to
        # provide a custom IAdding to ILocation, or
        # to change zope's IAdding to adapt to IContainer.
        container = IContainer(context.context)
        if container is not context.context:
            context.context = container
        super(AddContainer, self).__init__(context, request)

    def create(self, *args, **kw):
        parent = zapi.getParent(self.context)
        if ILocation.providedBy(parent) or IShipment.providedBy(parent):
            parent = parent.getRootContainer()
            if parent is None:
                raise ValueError, "Root container not found in location"
        parentid = parent.id
        kw['parent_id'] = parentid
        root = api.getRoot(parent)
        ct = root['containertypes']['sip.ContainerType.%s' % kw['type_id']]
        typename = ct.name
        name = kw['name'] or typename
        if not self._rows:
            if kw['rows']:
                self._rows = kw['rows']
            else:
                self._rows = 1
            if kw['columns']:
                self._cols = kw['columns']
            else:
                self._cols = 1
            self._name = kw['name']
            del kw['rows']
            del kw['columns']

        factory = api.factory('sip.Container', context=self.context)

        for r in range(1, self._rows+1):
            for c in range(1, self._cols + 1):
                # SdS: Blame on me if this piece of code confusing
                # but IMHO its better than two 'if' and three 'for'
                #
                # If _rows == 1, return 'c', if _cols == 1, 'r'
                # else, 'rXc'
                postfix = ("%s" % ((self._rows == 1 and
                                    c or
                                    self._cols == 1 and
                                    r) or
                                   "%sx%s" % (r, c)))
                if not (self._rows == 1 and self._cols == 1):
                    kw['name'] = "%s-%s" % (name, postfix)
                child = factory(**kw)
                #api.setLocation(self.context, child, location)
                notify(ObjectCreatedEvent(child))

        return child

    def createAndAdd(self, data):
        content = super(AddContainer, self).createAndAdd(data)

    def nextURL(self):
        url = str(zapi.getView(zapi.getParent(self.context),
                               'absolute_url', self.request))
        if IShipment.providedBy(zapi.getParent(self.context)):
            return url
        return url + '/@@close.html'
