# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: confirm.py 749 2005-06-28 22:21:49Z sidnei $
"""

from sip.browser import api
from zope.app.publisher.browser import BrowserView
from zope.app.content_types import find_binary

class CSVConfirmView(BrowserView):

    def _doImport(self, dry_run=True):
        request = self.request
        context = self.context
        project = api.getProject(context)
        importfile = request.get('importfile')
        self.tid = tid = request.get('tid')
        self.template = template = request.get('template')
        data = None
        if importfile is not None:
            data = importfile.read()
            if find_binary(data) is not None:
                self.results = ('Uploaded file is binary. '
                                'Please upload a text csv file.')
                return
            data = '\n'.join(data.splitlines())
        if importfile and not data:
            self.results = ('No file has been uploaded. ')
            return
        proc, self.template = api.lookupProcessor(data=data,
                                             template=template)
        self.results, self.tid = proc(context=context,
                                 data=data,
                                 tid=tid,
                                 dry_run=dry_run,
                                 request=request)


    def tryImport(self):
        return self._doImport(dry_run=True)

    def finishImport(self):
        return self._doImport(dry_run=False)
