# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: container.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from sqlobject import *

from sqlos import SQLOS
from sip.interfaces.container import IContainer, \
     IContainerSchema, IContainerAddSchema
from sip.interfaces.location import ILocation
from sip.shipment.interfaces import IShipment

from zope.interface import implements
from zope.app.container.contained import Contained
from zope.event import notify
from zope.app.event.objectevent import ObjectModifiedEvent

class Container(SQLOS, Contained):

    implements(IContainer, IContainerSchema, IContainerAddSchema)

    _idName='container_id'
    _table='container'
    _columns=[
        StringCol('name', length=255, notNull=1),
        ForeignKey('Container', name='parent_id',
                   default=0, cascade=False),
        ForeignKey('ContainerType', name='type_id',
                   default=None, cascade=False),
        StringCol('commit_message', notNull=1),
        ]
    classNames = ['sip.Container', 'sip.Aliquot']

    def move_to(self, new_parent):
        # XXX This should be an adapter!
        # If we write this as an adapter, then we
        # can get rid of the Contained base class.
        if ILocation.providedBy(new_parent)\
                or IShipment.providedBy(new_parent):
            new_parent = new_parent.getRootContainer()
            if new_parent is None:
                raise ValueError, "Root container not found in location"
        elif not IContainer.providedBy(new_parent):
            raise ValueError, "Invalid parent"
        self.parent_id = new_parent.id
        notify(ObjectModifiedEvent(self))
