# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: file.py 749 2005-06-28 22:21:49Z sidnei $
"""

from cPickle import dumps, loads
from os import curdir, remove
from os.path import abspath, dirname, join, exists
from sip.csv.storage.common import Storage
from sip.csv.storage.exceptions import StorageError

try:
    __file__
except NameError:
    # Called directly, so no __file__ global exists.
    _prefix = abspath(curdir)
else:
    # Called by another script.
    _prefix = abspath(dirname(__file__))


class FileStorage(Storage):

    def _getfname(self, tid):
        return join(_prefix, 'tmp', '%s.csv' % tid)

    def store(self, context, data, tid):
        fname = self._getfname(tid)
        f = open(fname, 'w')
        f.write(dumps(data))
        f.close()

    def load(self, context, tid):
        fname = self._getfname(tid)
        try:
            f = open(fname, 'r')
        except (IOError, OSError):
            raise StorageError, 'Invalid transaction id #%s' % tid
        data = loads(f.read())
        f.close()
        return data

    def expire(self, context, tid):
        fname = self._getfname(tid)
        try:
            remove(fname)
        except (IOError, OSError), msg:
            raise StorageError, 'Invalid transaction id #%s' % tid
