# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: exceptions.py 749 2005-06-28 22:21:49Z sidnei $
"""

import sys
import traceback
from types import StringTypes

from zope.exceptions.exceptionformatter import format_exception
from zope.interface.common.interfaces import IException

__metaclass__ = type


class ExceptionDebugView:
    """ Render exceptions for debugging."""
    __used_for__ = IException

    def __init__(self, context, request):

        self.context = context
        self.request = request

        self.error_type, self.error_object, tb = info = sys.exc_info()

        try:
            strtype = str(getattr(info[0], '__name__', info[0]))

            if not isinstance(info[2], StringTypes):
                self.tb_text = ''.join(
                        format_exception(*info, **{'as_html': 0}))
                self.tb_html = ''.join(
                    format_exception(*info, **{'as_html': 1}))
            else:
                self.tb_text = info[2]
        except:
            try:
                self.tb_lines = traceback.format_tb(tb)
            finally:
                del tb

        info = None
