# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: test_absurl.py 749 2005-06-28 22:21:49Z sidnei $
"""

import unittest

from zope.app import zapi
from zope.app.container.interfaces import IReadContainer
from sip.browser import api
from sip.ftests.base import Base

class TestAbsURL(Base):
    level = 2
    use_test_user = False

    def testRootAbsURL(self):
        absolute_url = zapi.getView(self.sip, 'absolute_url', self.request)
        self.failUnless(absolute_url())
        self.failUnless(absolute_url.breadcrumbs())

    def testObjectAbsURL(self):
        project = self._addProject()
        absolute_url = zapi.getView(project, 'absolute_url', self.request)
        self.failUnless(absolute_url())
        self.failUnless(absolute_url.breadcrumbs())

    def testSchemaAbsURL(self):
        project = self._addProject()
        stype = self._addSampleType(project)
        schema = api.getSchemaFor(stype.id, project)
        absolute_url = zapi.getView(schema, 'absolute_url', self.request)
        self.failUnless(absolute_url())
        self.failUnless(absolute_url.breadcrumbs())

def test_suite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(TestAbsURL))
    return suite

if __name__ == '__main__':
    unittest.main()
