# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: test_principalmanage.py 749 2005-06-28 22:21:49Z sidnei $
"""

import unittest

from zope.app import zapi
from zope.app.container.interfaces import IReadContainer
from sip.browser import api
from sip.ftests.base import Base

class TestPrincipalManage(Base):
    level = 2
    use_test_user = False

    def test_PrincipalView(self):
        principals = self.sip['principals']
        principal_count = len(principals)
        request = self.request
        form = request.form
        view = zapi.getView(self.sip, 'manage_principals.html', request)
        form['field.fullname'] = u'bob'
        form['field.username'] = u'bob'
        form['field.password'] = u'slacker'
        form['field.confirm_pass'] = u'slacker'
        form['ADD_PRINCIPAL'] = True
        form['UPDATE_SUBMIT'] = True
        view.update()
        self.failUnless(len(principals) == principal_count+1)
        del form['field.fullname']
        del form['field.username']
        del form['field.password']
        del form['field.confirm_pass']
        del form['ADD_PRINCIPAL']
        del form['UPDATE_SUBMIT']
        self.failUnless(view())

def test_suite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(TestPrincipalManage))
    return suite

if __name__ == '__main__':
    unittest.main()
