# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: schema.py 749 2005-06-28 22:21:49Z sidnei $
"""

from zope.interface import Interface, Attribute
from zope.schema import TextLine, Text, Datetime, Int
from zope.schema import Bool

from sip.i18n import _
from sip.interfaces import ISQLSchema

class ISchemaField(ISQLSchema):

    title = TextLine(
        title=_('Title'),
        description=_('A short summary or label'),
        default=u"",
        required=False,
        )

    description = Text(
        title=_('Description'),
        description=_('A description of the field'),
        default=u"",
        required=False,
        )

    required = Bool(
        title=_('Required'),
        description=_('Whether a field requires its value to exist.'),
        default=True)

    readonly = Bool(
        title=_('Read Only'),
        description=_('Whether a the field value can be changed or not.'),
        required=False,
        default=False)

    order = Int(
        title=_('Field Order'),
        description=_(('The order attribute can be used to '
                       'determine the order in which fields in '
                       'a schema were defined. If one field is '
                       'created after another (in the same thread), '
                       'its order will be greater. (Fields in '
                       'separate threads could have the same order.)')),
        required=True,
        readonly=True,
        )
