# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: services.py 749 2005-06-28 22:21:49Z sidnei $
"""

from zope.interface import Interface

class IProjectService(Interface):
    """Provide a registry for folderish views on a Project """

    def queryContainers(self):
        """Return a dictionary of the container like objects that make-up a
        project"""

    def getNames(self):
        """Return a sequence of names of the containers registered"""

class IGlobalProjectService(IProjectService):

    def registerContainer(self, klass, name=''):
        """Register the class used to generate a container with id name"""

class IAppContainerRegistry(Interface):
    """Provide a registry for folderish views on the application """

    def queryContainers(self):
        """Return a dictionary of the container like objects
        that make up the application"""

    def getNames(self):
        """Return a sequence of names of the containers registered"""

class IGlobalAppContainerRegistry(IAppContainerRegistry):

    def registerContainer(self, klass, name=''):
        """ Register the class used to generate a container with id name"""
