# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: technician.py 749 2005-06-28 22:21:49Z sidnei $
"""

from zope.interface import Attribute
from zope.schema import TextLine
from sip.i18n import _
from sip.interfaces import ISIPSchema, FieldFactory
from sip.descriptors import BoundCallableDescriptor
from sip.utils import Unique

class ITechnician(ISIPSchema):
    """ """

    name = Attribute('Name')

    username = FieldFactory(
        TextLine,
        title=_('Technician ID'),
        description=_(('The name used to identify this technician'
        'in the system, as well as for the technician to log in')),
        required=True,
        max_length=50,
        constraint=BoundCallableDescriptor(
        Unique(className='sip.Technician', columnName='technician_id'))
        )

    fullname = TextLine(title=_('Full Name'),
                        description=_('The technician full name'),
                        required=False,
                        max_length=255,
                        )
