# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: location.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from datetime import date
from sqlobject import *
from sqlos import SQLOS

from zope.interface import implements
from zope.app import zapi
from zope.app.container.contained import Contained

from sip.interfaces.location import ILocation, ILocationSchema
from sip.browser import api

class Location(SQLOS, Contained):

    implements(ILocation, ILocationSchema)

    _idName='location_id'
    _columns = [
        StringCol('name', length=255, notNull=1),
        StringCol('building', length=255, notNull=0, default=''),
        StringCol('room', length=255, notNull=0, default=''),
        IntCol('temperature', notNull=0),
        DateCol('start_date', notNull=1,default=date.today),
        DateCol('end_date', notNull=0,default=None),
        StringCol('commit_message', notNull=1),
        ]

    def getRootContainer(self):
        factory = api.factory('sip.Container', context=self)
        query=('location_id=%d and parent_id=1'
                'and container.container_id=container_location.container_id')
        query = query % self.id
        result = factory.select(query, clauseTables=('container_location',))
        if result.count():
            return api.contained(result[0], self, name='.')
        return None

    def getRootId(self):
        """returns the container_id for the root container"""
        root = self.getRootContainer()
        return root.id
