# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: principal.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from datetime import date
from sqlobject import *
from sqlos import SQLOS

from zope.interface import implements
from zope.app import zapi

from sip.interfaces.principal import IPrincipal
from sip.descriptors import FakePropertyDescriptor

class Principal(SQLOS):

    implements(IPrincipal)

    _idName='principal_id'
    _columns = [
        StringCol('username', notNull=1),
        StringCol('fullname', notNull=0),
        StringCol('password', notNull=1),
        DateCol('start_date', notNull=1, default=date.today),
        DateCol('end_date', notNull=0, default=None),
        ]

    name = FakePropertyDescriptor('name', 'username')
