# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: project.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from datetime import date
from sqlobject import *
from sqlos import SQLOS

from zope.interface import implements
from zope.app import zapi
from zope.proxy import removeAllProxies
from zope.security.checker import NamesChecker

from sip.interfaces.project import IProject, IProjectSchema
from sip.browser import api
from sip.descriptors import ProjectRelationDescriptor
from sip.browser.admin import NextURLProxy
from sip.aliquot import Aliquot

from sqlos.interfaces.container \
     import ISQLObjectContainer

class Project(SQLOS):

    implements(IProject, IProjectSchema)

    _idName='project_id'
    _columns = [
        StringCol('name', length=255, notNull=1),
        StringCol('commit_message', notNull=1),
        DateCol('start_date', notNull=1, default=date.today),
        DateCol('end_date', notNull=0, default=None),
        BoolCol('require_commit_message', default=False, notNull=0),
        ]

    valid_locations = ProjectRelationDescriptor(
        'sip.LocationProject',
        'location_id')

    valid_technicians = ProjectRelationDescriptor(
        'sip.TechnicianProject',
        'technician_id')

    valid_sample_types = ProjectRelationDescriptor(
        'sip.SampleTypeProject',
        'sample_type_id')


class AddProject:

    def create(self, *args, **kw):
        factory = api.factory('sip.Project', context=self.context.context)
        return factory(**kw)

    def nextURL(self):
        return super(AddProject,self).nextURL() + '#add_project'
