# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: sampletypeschema.py 758 2005-06-28 23:02:39Z sidnei $
"""

from datetime import date
from sqlobject import *
from sqlos import SQLOS
from zope.interface import implements
from sip.interfaces.sampletypeschema import ISampleTypeSchema

class SampleTypeSchema(SQLOS):

    implements(ISampleTypeSchema)

    _idName='sample_type_schema_id'
    _columns = [
        ForeignKey('Project', name='project_id', cascade=False),
        ForeignKey('SampleType', name='sample_type_id', cascade=False),
        DateCol('start_date', notNull=1, default=date.today),
        DateCol('end_date', notNull=0, default=None),
        ]

    def getName(self):
        # XXX SQLObject should fix the foreign key name mangling :(
        return self.sample_type_.name

    name = property(getName)
