# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: test_annotationprincipalrolemanager.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

import unittest

from transaction import get_transaction

from zope.app import zapi
from zope.app.tests import setup
from zope.configuration import xmlconfig
from zope.app.securitypolicy.tests.test_annotationprincipalrolemanager import Test as BaseTest
from zope.app.security.principalregistry import principalRegistry as pr
from sip.root import AppRoot
from sip.security.principalrole import SQLAnnotationPrincipalRoleManager
from sip.ftests.base import Base

class Test(BaseTest, Base):

    def setUp(self):
        Base.setUp(self)

    def _make_roleManager(self, obj=None):
        if obj is None:
            obj = zapi.traverse(self.sip, 'projects')
        return SQLAnnotationPrincipalRoleManager(obj)

    def tearDown(self):
        Base.tearDown(self)
        try:
            principal =  pr._PrincipalRegistry__principalsByLogin['APrincipal']
        except KeyError:
            pass
        else:
            del pr._PrincipalRegistry__principalsByLogin[principal.getLogin()]
            del pr._PrincipalRegistry__principalsById[principal.id]
        try:
            principal =  pr._PrincipalRegistry__principalsByLogin['Principal 2']
        except KeyError:
            pass
        else:
            del pr._PrincipalRegistry__principalsByLogin[principal.getLogin()]
            del pr._PrincipalRegistry__principalsById[principal.id]
        from sip.security.source import securityCache
        securityCache.clear()
        from sip.security.principalrole import securityCache
        securityCache.clear()

def test_suite():
    loader=unittest.TestLoader()
    return loader.loadTestsFromTestCase(Test)

if __name__=='__main__':
    unittest.TextTestRunner().run(test_suite())
