# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/


__metaclass__ = type

from sqlos import SQLOS
from sqlobject import *
from sip.shipment.interfaces import IShipment
from sip.browser import api
from sip.descriptors import FakePropertyDescriptor
from zope.interface import implements
from zope.app.container.contained import Contained

class Shipment(SQLOS, Contained):

    implements(IShipment)

    _idName = 'shipment_id'
    _columns = [
            StringCol('name', length=255, notNull=1),
            DateCol('planneddate', notNull=0),
            DateCol('requestdate', notNull=0),
            DateCol('shipdate', notNull=0),
            DateCol('receivedate', notNull=0),
            DateCol('returndate', notNull=0),
            ForeignKey('ContactInfo', name='contact_info_id', cascade=False),
            ForeignKey('ShippingInfo', name='shipping_info_id', cascade=False),
            ForeignKey('Project', name='project_id', cascade=False),
            BoolCol('infectious', notNull=0, default=False),
            BoolCol('biohazard', notNull=0, default=False),
            StringCol('commit_message', notNull=1),
            ]

    def getRootContainer(self):
        factory = api.factory('sip.Container', context=self)
        query = ('container.container_id = container_shipment.container_id '
                 'and container_shipment.shipment_id = %d '
                 'and container.parent_id = 1' % int(self.id))
        result = factory.select(clause=query, clauseTables=['container_shipment'])
        if result.count():
            return api.contained(result[0], self, name='.')
        return None

    def getRootId(self):
        """returns the container_id for the root container"""
        root = self.getRootContainer()
        return root.id
