# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: state.py 749 2005-06-28 22:21:49Z sidnei $
"""

from zope.interface import implements
from sip.i18n import _
from sip.source import Source
from sip.shipment.interfaces import IIncomingShipmentState
from sip.shipment.interfaces import IOutgoingShipmentState

class ShipmentState(Source):

    classNames = ['Shipment']


class Incomplete(ShipmentState):
    implements(IOutgoingShipmentState)
    name = _('Incomplete Shipments')
    query = 'AND shipdate IS NULL'

class InTransit(ShipmentState):
    implements(IOutgoingShipmentState)
    name = _('In-Transit Shipments')
    query = 'AND shipdate IS NOT NULL AND receivedate IS NULL'

class Received(ShipmentState):
    implements(IOutgoingShipmentState)
    name = _('Received Shipments')
    query = 'AND shipdate IS NOT NULL AND receivedate IS NOT NULL'
