# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: utility.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from zope.interface import implements
from zope.app import zapi
from zope.app.container.contained import Contained
from sqlos.interfaces.container import ISQLObjectContainer

from sip.browser import api

class UtilityContainer(Contained):

    implements(ISQLObjectContainer)

    interface = None

    def __init__(self, context=None):
        pass

    def keys(self):
        return [k for k, v in self.items()]

    def __iter__(self):
        return iter(self.keys())

    def values(self):
        for k, v in self.items():
            yield v

    def items(self):
        items = zapi.getUtilitiesFor(self.interface, context=self)
        return [(name, api.contained(value, self, name=name))
                 for name, value in items]

    def __getitem__(self, name):
        item = zapi.queryUtility(self.interface, name=name, context=self)
        if item is None:
            raise KeyError(name)
        return api.contained(item, self, name=name)

    def get(self, name, default=None):
        item = zapi.queryUtility(self.interface, name=name,
                               default=default, context=self)
        if item is default:
            return item
        return api.contained(item, self, name=name)

    def __contains__(self, name):
        return self.get(name, None) is not None

    def __len__(self):
        return len(self.keys())
