--
-- PostgreSQL database dump
--

SET client_encoding = 'SQL_ASCII';
SET check_function_bodies = false;

SET SESSION AUTHORIZATION 'zope3';

SET search_path = public, pg_catalog;

--
-- Data for TOC entry 33 (OID 1010529)
-- Name: origin_sample_aliquots; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY origin_sample_aliquots (id, aliquot_id, sample_id) FROM stdin;
\.


--
-- Data for TOC entry 34 (OID 1010532)
-- Name: aliquot_allocation; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY aliquot_allocation (aliquot_id, status, tstamp) FROM stdin;
\.


--
-- Data for TOC entry 35 (OID 1010540)
-- Name: project; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY project (project_id, name, commit_message, start_date, end_date, require_commit_message) FROM stdin;
\.


--
-- Data for TOC entry 36 (OID 1010548)
-- Name: principal; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY principal (principal_id, username, fullname, "password", start_date, end_date) FROM stdin;
\.


--
-- Data for TOC entry 37 (OID 1010556)
-- Name: technician; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY technician (technician_id, username, fullname, start_date, end_date, commit_message) FROM stdin;
\.


--
-- Data for TOC entry 38 (OID 1010564)
-- Name: technician_project; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY technician_project (technician_project_id, project_id, technician_id) FROM stdin;
\.


--
-- Data for TOC entry 39 (OID 1010569)
-- Name: location; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY "location" (location_id, name, building, room, temperature, start_date, end_date, commit_message) FROM stdin;
\.


--
-- Data for TOC entry 40 (OID 1010577)
-- Name: location_project; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY location_project (location_project_id, project_id, location_id) FROM stdin;
\.


--
-- Data for TOC entry 41 (OID 1010582)
-- Name: sample_type; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY sample_type (sample_type_id, name, start_date, end_date, commit_message) FROM stdin;
\.


--
-- Data for TOC entry 42 (OID 1010590)
-- Name: sample_type_project; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY sample_type_project (sample_type_project_id, project_id, sample_type_id) FROM stdin;
\.


--
-- Data for TOC entry 43 (OID 1010595)
-- Name: subject_type; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY subject_type (subject_type_id, name) FROM stdin;
1	animal
2	other
3	ego
\.


--
-- Data for TOC entry 44 (OID 1010600)
-- Name: sample; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY sample (sample_id, name, other_id, date_generated, comments, subject_id, project_id, type_id, technician_id, derived, commit_message, collection_date, subject_type_id) FROM stdin;
\.


--
-- Data for TOC entry 45 (OID 1010608)
-- Name: container_type; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY container_type (container_type_id, name, start_date, end_date, root, commit_message) FROM stdin;
\.


--
-- Data for TOC entry 46 (OID 1010616)
-- Name: container; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY container (container_id, name, parent_id, type_id, commit_message) FROM stdin;
1	Root Container	\N	\N	Root Container
\.


--
-- Data for TOC entry 47 (OID 1010624)
-- Name: concentration_unit; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY concentration_unit (concentration_unit_id, label, description, exponent, start_date, end_date, commit_message) FROM stdin;
1	g/L	grams per liter	1.000000000000000000	1970-01-01	\N	
2	mg/L	milligrams per liter	1.000000000000000000	1970-01-01	\N	
3	mcg/L	micrograms per liter	1.000000000000000000	1970-01-01	\N	
4	ng/L	nanograms per liter	1.000000000000000000	1970-01-01	\N	
5	pg/L	picograms per liter	1.000000000000000000	1970-01-01	\N	
6	fg/L	femptograms per liter	1.000000000000000000	1970-01-01	\N	
7	g/dL	grams per deciliter	1.000000000000000000	1970-01-01	\N	
8	mg/dL	milligrams per deciliter	1.000000000000000000	1970-01-01	\N	
9	mcg/dL	micrograms per deciliter	1.000000000000000000	1970-01-01	\N	
10	ng/dL	nanograms per deciliter	1.000000000000000000	1970-01-01	\N	
11	pg/dL	picograms per deciliter	1.000000000000000000	1970-01-01	\N	
12	fg/dL	femptograms per deciliter	1.000000000000000000	1970-01-01	\N	
13	g/mL	grams per milliliter	1.000000000000000000	1970-01-01	\N	
14	mg/mL	milligrams per milliliter	1.000000000000000000	1970-01-01	\N	
15	mcg/mL	micrograms per milliliter	1.000000000000000000	1970-01-01	\N	
16	ng/mL	nanograms per milliliter	1.000000000000000000	1970-01-01	\N	
17	pg/mL	picograms per milliliter	1.000000000000000000	1970-01-01	\N	
18	fg/mL	femptograms per milliliter	1.000000000000000000	1970-01-01	\N	
19	g/mcL	grams per microliter	1.000000000000000000	1970-01-01	\N	
20	mg/mcL	milligrams per microliter	1.000000000000000000	1970-01-01	\N	
21	mcg/mcL	micrograms per microliter	1.000000000000000000	1970-01-01	\N	
22	ng/mcL	nanograms per microliter	1.000000000000000000	1970-01-01	\N	
23	pg/mcL	picograms per microliter	1.000000000000000000	1970-01-01	\N	
24	fg/mcL	femptograms per microliter	1.000000000000000000	1970-01-01	\N	
\.


--
-- Data for TOC entry 48 (OID 1010632)
-- Name: volume_unit; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY volume_unit (volume_unit_id, label, description, exponent, start_date, end_date, commit_message) FROM stdin;
1	L	liters	1.000000000000000000	1970-01-01	\N	
2	dL	deciliters	0.100000000000000000	1970-01-01	\N	
3	cL	centiliters	0.010000000000000000	1970-01-01	\N	
4	mL	milliliters	0.001000000000000000	1970-01-01	\N	
5	mcL	microliters	0.000001000000000000	1970-01-01	\N	
6	nL	nanoliters	0.000000001000000000	1970-01-01	\N	
7	pL	picoliters	0.000000000001000000	1970-01-01	\N	
\.


--
-- Data for TOC entry 49 (OID 1010640)
-- Name: weight_unit; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY weight_unit (weight_unit_id, label, description, exponent, start_date, end_date, commit_message) FROM stdin;
1	kg	kilograms	1000.000000000000000000	1970-01-01	\N	
2	g	grams	1.000000000000000000	1970-01-01	\N	
3	mg	milligrams	0.001000000000000000	1970-01-01	\N	
4	mcg	micrograms	0.000001000000000000	1970-01-01	\N	
5	ng	nanograms	0.000000001000000000	1970-01-01	\N	
6	pg	picograms	0.000000000001000000	1970-01-01	\N	
7	fg	femptograms	0.000000000000001000	1970-01-01	\N	
\.


--
-- Data for TOC entry 50 (OID 1010648)
-- Name: aliquot; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY aliquot (aliquot_id, project_id, sample_id, volume_id, weight_id, concentration_id, container_id, depleted, date, commit_message, is_low, aliquot_count, concentration, volume, weight, "comment") FROM stdin;
\.


--
-- Data for TOC entry 51 (OID 1010656)
-- Name: security_principal; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY security_principal (id, principal_id, role_id, "location", value) FROM stdin;
\.


--
-- Data for TOC entry 52 (OID 1010661)
-- Name: security_role; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY security_role (id, role_id, principal_id, "location", value) FROM stdin;
\.


--
-- Data for TOC entry 53 (OID 1010666)
-- Name: sample_type_schema; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY sample_type_schema (sample_type_schema_id, project_id, sample_type_id, start_date, end_date) FROM stdin;
\.


--
-- Data for TOC entry 54 (OID 1010671)
-- Name: schema_field; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY schema_field (schema_field_id, schema_id, name, "type", title, description, default_value, required, readonly, field_order, tales, tales_expression, start_date, end_date) FROM stdin;
\.


--
-- Data for TOC entry 55 (OID 1010679)
-- Name: additional_sample_data; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY additional_sample_data (additional_sample_data_id, sample_id, schema_field_id, value) FROM stdin;
\.


--
-- Data for TOC entry 56 (OID 1010687)
-- Name: carrier; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY carrier (carrier_id, name) FROM stdin;
1	Fed Ex
2	Airborne
3	UPS
4	Other
\.


--
-- Data for TOC entry 57 (OID 1010692)
-- Name: contact_info; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY contact_info (contact_info_id, firstname, lastname, institution, address1, address2, city, state, zipcode, country, phone, fax, email, project, objective, commit_message) FROM stdin;
\.


--
-- Data for TOC entry 58 (OID 1010700)
-- Name: shipping_info; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY shipping_info (shipping_info_id, hand_delivered, carrier_id, account_number, tracking_number, instructions, commit_message, newcontainer, housenumber, technician_id, temp_method_id) FROM stdin;
\.


--
-- Data for TOC entry 59 (OID 1010709)
-- Name: shipment; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY shipment (shipment_id, planneddate, requestdate, shipdate, receivedate, infectious, biohazard, contact_info_id, shipping_info_id, project_id, name, commit_message, returndate) FROM stdin;
\.


--
-- Data for TOC entry 60 (OID 1010719)
-- Name: container_shipment; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY container_shipment (container_shipment_id, shipment_id, container_id) FROM stdin;
\.


--
-- Data for TOC entry 61 (OID 1010724)
-- Name: container_location; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY container_location (container_location_id, container_id, location_id) FROM stdin;
\.


--
-- Data for TOC entry 62 (OID 1010729)
-- Name: funding_source; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY funding_source (funding_source_id, name, federal) FROM stdin;
1	NIH	t
2	NSF	t
3	Other Federal Agency	t
4	Philanthropic Grants	f
5	Private Industry	f
6	Institutional Funds	f
\.


--
-- Data for TOC entry 63 (OID 1010734)
-- Name: funding_info; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY funding_info (funding_info_id, shipment_id, funding_source_id, grant_number, cost, agency, principal, state, enddate, fee, commit_message) FROM stdin;
\.


--
-- Data for TOC entry 64 (OID 1010742)
-- Name: temp_method; Type: TABLE DATA; Schema: public; Owner: zope3
--

COPY temp_method (temp_method_id, name) FROM stdin;
1	ambient
2	dry ice
3	gel packs
4	wet ice
\.


--
-- TOC entry 2 (OID 1010527)
-- Name: origin_sample_aliquots_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('origin_sample_aliquots_id_seq', 1, false);


--
-- TOC entry 3 (OID 1010538)
-- Name: project_project_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('project_project_id_seq', 1, false);


--
-- TOC entry 4 (OID 1010546)
-- Name: principal_principal_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('principal_principal_id_seq', 1, false);


--
-- TOC entry 5 (OID 1010554)
-- Name: technician_technician_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('technician_technician_id_seq', 1, false);


--
-- TOC entry 6 (OID 1010562)
-- Name: technician_project_technician_project_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('technician_project_technician_project_id_seq', 1, false);


--
-- TOC entry 7 (OID 1010567)
-- Name: location_location_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('location_location_id_seq', 1, false);


--
-- TOC entry 8 (OID 1010575)
-- Name: location_project_location_project_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('location_project_location_project_id_seq', 1, false);


--
-- TOC entry 9 (OID 1010580)
-- Name: sample_type_sample_type_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('sample_type_sample_type_id_seq', 1, false);


--
-- TOC entry 10 (OID 1010588)
-- Name: sample_type_project_sample_type_project_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('sample_type_project_sample_type_project_id_seq', 1, false);


--
-- TOC entry 11 (OID 1010593)
-- Name: subject_type_subject_type_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('subject_type_subject_type_id_seq', 3, true);


--
-- TOC entry 12 (OID 1010598)
-- Name: sample_sample_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('sample_sample_id_seq', 1, false);


--
-- TOC entry 13 (OID 1010606)
-- Name: container_type_container_type_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('container_type_container_type_id_seq', 1, false);


--
-- TOC entry 14 (OID 1010614)
-- Name: container_container_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('container_container_id_seq', 1, true);


--
-- TOC entry 15 (OID 1010622)
-- Name: concentration_unit_concentration_unit_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('concentration_unit_concentration_unit_id_seq', 24, true);


--
-- TOC entry 16 (OID 1010630)
-- Name: volume_unit_volume_unit_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('volume_unit_volume_unit_id_seq', 7, true);


--
-- TOC entry 17 (OID 1010638)
-- Name: weight_unit_weight_unit_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('weight_unit_weight_unit_id_seq', 7, true);


--
-- TOC entry 18 (OID 1010646)
-- Name: aliquot_aliquot_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('aliquot_aliquot_id_seq', 1, false);


--
-- TOC entry 19 (OID 1010654)
-- Name: security_principal_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('security_principal_id_seq', 1, false);


--
-- TOC entry 20 (OID 1010659)
-- Name: security_role_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('security_role_id_seq', 1, false);


--
-- TOC entry 21 (OID 1010664)
-- Name: sample_type_schema_sample_type_schema_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('sample_type_schema_sample_type_schema_id_seq', 1, false);


--
-- TOC entry 22 (OID 1010669)
-- Name: schema_field_schema_field_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('schema_field_schema_field_id_seq', 1, false);


--
-- TOC entry 23 (OID 1010677)
-- Name: additional_sample_data_additional_sample_data_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('additional_sample_data_additional_sample_data_id_seq', 1, false);


--
-- TOC entry 24 (OID 1010685)
-- Name: carrier_carrier_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('carrier_carrier_id_seq', 4, true);


--
-- TOC entry 25 (OID 1010690)
-- Name: contact_info_contact_info_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('contact_info_contact_info_id_seq', 1, false);


--
-- TOC entry 26 (OID 1010698)
-- Name: shipping_info_shipping_info_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('shipping_info_shipping_info_id_seq', 1, false);


--
-- TOC entry 27 (OID 1010707)
-- Name: shipment_shipment_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('shipment_shipment_id_seq', 1, false);


--
-- TOC entry 28 (OID 1010717)
-- Name: container_shipment_container_shipment_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('container_shipment_container_shipment_id_seq', 1, false);


--
-- TOC entry 29 (OID 1010722)
-- Name: container_location_container_location_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('container_location_container_location_id_seq', 1, false);


--
-- TOC entry 30 (OID 1010727)
-- Name: funding_source_funding_source_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('funding_source_funding_source_id_seq', 6, true);


--
-- TOC entry 31 (OID 1010732)
-- Name: funding_info_funding_info_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('funding_info_funding_info_id_seq', 1, false);


--
-- TOC entry 32 (OID 1010740)
-- Name: temp_method_temp_method_id_seq; Type: SEQUENCE SET; Schema: public; Owner: zope3
--

SELECT pg_catalog.setval('temp_method_temp_method_id_seq', 4, true);


