/*==============================================================*/
/* Database name:  PHYSICALDATAMODEL_2                          */
/* DBMS name:      Sybase AS Enterprise 12.5                    */
/* Created on:     1/15/2004 3:52:00 PM                         */
/*==============================================================*/


alter table dbo.additional_sample_data
   drop constraint FK_ADDITION_REFERENCE_SCHEMA_F
go


alter table dbo.additional_sample_data
   drop constraint FK_ADDITION_REFERENCE_SAMPLE
go


alter table dbo.aliquot
   drop constraint FK_ALIQUOT_REFERENCE_SAMPLE
go


alter table dbo.aliquot
   drop constraint FK_ALIQUOT_REFERENCE_VOLUME_U
go


alter table dbo.aliquot
   drop constraint FK_ALIQUOT_REFERENCE_WEIGHT_U
go


alter table dbo.aliquot
   drop constraint FK_ALIQUOT_REFERENCE_CONCENTR
go


alter table dbo.aliquot
   drop constraint FK_ALIQUOT_REFERENCE_CONTAINE
go


alter table dbo.aliquot
   drop constraint FK_ALIQUOT_REFERENCE_PROJECT
go


alter table dbo.container
   drop constraint FK_CONTAINE_REFERENCE_CONTAINE
go


alter table dbo.location_project
   drop constraint FK_LOCATION_REFERENCE_LOCATION
go


alter table dbo.location_project
   drop constraint FK_LOCATION_REFERENCE_PROJECT
go


alter table dbo.origin_sample_aliquots
   drop constraint origin_sam_aliquo_376385379
go


alter table dbo.origin_sample_aliquots
   drop constraint origin_sam_sample_360385322
go


alter table dbo.sample_type_project
   drop constraint FK_SAMPLE_T_REFERENCE_SAMPLE_T
go


alter table dbo.sample_type_project
   drop constraint FK_SAMPLE_T_REFERENCE_PROJECT
go


alter table dbo.technician_project
   drop constraint FK_TECHNICI_REFERENCE_PROJECT
go


alter table dbo.technician_project
   drop constraint FK_TECHNICI_REFERENCE_TECHNICI
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.additional_sample_data')
            and    type = 'U')
   drop table dbo.additional_sample_data
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.aliquot')
            and    type = 'U')
   drop table dbo.aliquot
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.aliquot_allocation')
            and    type = 'U')
   drop table dbo.aliquot_allocation
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.concentration_unit')
            and    type = 'U')
   drop table dbo.concentration_unit
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.container')
            and    type = 'U')
   drop table dbo.container
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.container_type')
            and    type = 'U')
   drop table dbo.container_type
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.location')
            and    type = 'U')
   drop table dbo.location
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.location_project')
            and    type = 'U')
   drop table dbo.location_project
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.origin_sample_aliquots')
            and    type = 'U')
   drop table dbo.origin_sample_aliquots
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.principal')
            and    type = 'U')
   drop table dbo.principal
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.project')
            and    type = 'U')
   drop table dbo.project
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.sample')
            and    type = 'U')
   drop table dbo.sample
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.sample_type')
            and    type = 'U')
   drop table dbo.sample_type
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.sample_type_project')
            and    type = 'U')
   drop table dbo.sample_type_project
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.sample_type_schema')
            and    type = 'U')
   drop table dbo.sample_type_schema
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.schema_field')
            and    type = 'U')
   drop table dbo.schema_field
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.technician')
            and    type = 'U')
   drop table dbo.technician
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.technician_project')
            and    type = 'U')
   drop table dbo.technician_project
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.volume_unit')
            and    type = 'U')
   drop table dbo.volume_unit
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.weight_unit')
            and    type = 'U')
   drop table dbo.weight_unit
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.zope_security_principal')
            and    type = 'U')
   drop table dbo.zope_security_principal
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.zope_security_role')
            and    type = 'U')
   drop table dbo.zope_security_role
go


/*==============================================================*/
/* Table: additional_sample_data                                */
/*==============================================================*/
create table dbo.additional_sample_data (
     additional_sample_data_id numeric                        identity,
     sample_id            numeric                        null,
     schema_field_id      numeric                        null,
     value                varchar(255)                   null,
     constraint PK_ADDITIONAL_SAMPLE_DATA primary key clustered (additional_sample_data_id)
           on "default"
)
go


/*==============================================================*/
/* Table: aliquot                                               */
/*==============================================================*/
create table dbo.aliquot (
     aliquot_id           numeric                        identity,
     project_id           numeric                        null,
     sample_id            numeric                        null,
     volume_unit_id       numeric                        null,
     weight_unit_id       numeric                        null,
     concentration_unit_id numeric                        null,
     container_id         numeric                        null,
     volume               numeric(9,3)                   null,
     weight               numeric(9,3)                   null,
     concentration        numeric(9,3)                   null,
     depleted             bit                            not null,
     date                 datetime                       not null,
     commit_message       text                           not null,
     is_low               bit                            not null,
     aliquot_count        int                            null,
     constraint PK_ALIQUOT primary key clustered (aliquot_id)
           on "default"
)
go


/*==============================================================*/
/* Table: aliquot_allocation                                    */
/*==============================================================*/
create table dbo.aliquot_allocation (
     aliquot_id           numeric                        not null,
     status               varchar(255)                   not null,
     tstamp               timestamp                      null,
     constraint PK_ALIQUOT_ALLOCATION primary key clustered (aliquot_id)
           on "default"
)
go


/*==============================================================*/
/* Table: concentration_unit                                    */
/*==============================================================*/
create table dbo.concentration_unit (
     concentration_unit_id numeric                        identity,
     label                varchar(255)                   null,
     description          varchar(255)                   null,
     exponent             numeric(26,20)                 not null,
     start_date           datetime                       not null,
     end_date             datetime                       null,
     commit_message       text                           not null,
     constraint PK_CONCENTRATION_UNIT primary key clustered (concentration_unit_id)
           on "default"
)
go


/*==============================================================*/
/* Table: container                                             */
/*==============================================================*/
create table dbo.container (
     container_id         numeric                        identity,
     container_type_id    numeric                        null,
     name                 varchar(255)                   null,
     location_id          numeric                        null,
     commit_message       text                           not null,
     parent_container_id  numeric                        null,
     constraint PK_CONTAINER primary key clustered (container_id)
           on "default"
)
go


/*==============================================================*/
/* Table: container_type                                        */
/*==============================================================*/
create table dbo.container_type (
     container_type_id    numeric                        identity,
     name                 varchar(255)                   null,
     start_date           datetime                       not null,
     end_date             datetime                       null,
     root                 bit                            not null,
     commit_message       text                           not null,
     constraint PK_CONTAINER_TYPE primary key clustered (container_type_id)
           on "default"
)
go


/*==============================================================*/
/* Table: location                                              */
/*==============================================================*/
create table dbo.location (
     location_id          numeric                        identity,
     name                 varchar(255)                   null,
     building             varchar(255)                   null,
     room                 varchar(255)                   null,
     temperature          int                            null,
     start_date           datetime                       not null,
     end_date             datetime                       null,
     commit_message       text                           not null,
     constraint PK_LOCATION primary key clustered (location_id)
           on "default"
)
go


/*==============================================================*/
/* Table: location_project                                      */
/*==============================================================*/
create table dbo.location_project (
     location_project_id  numeric                        identity,
     project_id           numeric                        null,
     location_id          numeric                        null,
     constraint PK_LOCATION_PROJECT primary key clustered (location_project_id)
           on "default"
)
go


/*==============================================================*/
/* Table: origin_sample_aliquots                                */
/*==============================================================*/
create table dbo.origin_sample_aliquots (
     id                   numeric                        identity,
     sample_id            numeric                        null,
     aliquot_id           numeric                        null,
     constraint PK_ORIGIN_SAMPLE_ALIQUOTS primary key clustered (id)
           on "default"
)
go


/*==============================================================*/
/* Table: principal                                             */
/*==============================================================*/
create table dbo.principal (
     principal_id         numeric                        identity,
     username             varchar(255)                   not null,
     fullname             varchar(255)                   null,
     password             varchar(255)                   not null,
     start_date           datetime                       not null,
     end_date             datetime                       null,
     constraint PK_PRINCIPAL primary key clustered (principal_id)
           on "default"
)
go


/*==============================================================*/
/* Table: project                                               */
/*==============================================================*/
create table dbo.project (
     project_id           numeric                        identity,
     name                 varchar(255)                   null,
     commit_message       text                           not null,
     start_date           datetime                       not null,
     end_date             datetime                       null,
     require_commit_message bit                            not null,
     constraint PK_PROJECT primary key clustered (project_id)
           on "default"
)
go


/*==============================================================*/
/* Table: sample                                                */
/*==============================================================*/
create table dbo.sample (
     sample_id            numeric                        identity,
     name                 varchar(255)                   null,
     other_id             varchar(255)                   null,
     date_generated       datetime                       not null,
     comments             text                           null,
     subject_id           varchar(255)                   null,
     project_id           numeric                        null,
     type_id              numeric                        null,
     technician_id        numeric                        null,
     subject_type         varchar(255)                   null,
     derived              bit                            not null,
     commit_message       text                           not null,
     collection_date      datetime                       not null,
     constraint PK_SAMPLE primary key clustered (sample_id)
           on "default"
)
go


/*==============================================================*/
/* Table: sample_type                                           */
/*==============================================================*/
create table dbo.sample_type (
     sample_type_id       numeric                        identity,
     name                 varchar(255)                   null,
     start_date           datetime                       not null,
     end_date             datetime                       null,
     commit_message       text                           not null,
     constraint PK_SAMPLE_TYPE primary key clustered (sample_type_id)
           on "default"
)
go


/*==============================================================*/
/* Table: sample_type_project                                   */
/*==============================================================*/
create table dbo.sample_type_project (
     sample_type_project_id numeric                        identity,
     project_id           numeric                        null,
     sample_type_id       numeric                        null,
     constraint PK_SAMPLE_TYPE_PROJECT primary key clustered (sample_type_project_id)
           on "default"
)
go


/*==============================================================*/
/* Table: sample_type_schema                                    */
/*==============================================================*/
create table dbo.sample_type_schema (
     sample_type_schema_id numeric                        identity,
     project_id           numeric                        not null,
     sample_type_id       numeric                        null,
     start_date           datetime                       null,
     end_date             datetime                       null,
     constraint PK_CONTAINER primary key clustered (sample_type_schema_id)
           on "default"
)
go


/*==============================================================*/
/* Table: schema_field                                          */
/*==============================================================*/
create table dbo.schema_field (
     schema_field_id      numeric                        identity,
     schema_id            int                            null,
     name                 varchar(255)                   not null,
     type                 varchar(255)                   not null,
     title                varchar(255)                   null,
     description          varchar(255)                   null,
     required             bit                            not null,
     readonly             bit                            not null,
     field_order          int                            not null,
     tales                bit                            not null,
     tales_expression     varchar(255)                   not null,
     start_date           datetime                       not null,
     end_date             datetime                       null,
     constraint PK_SCHEMA_FIELD primary key clustered (schema_field_id)
           on "default"
)
go


/*==============================================================*/
/* Table: technician                                            */
/*==============================================================*/
create table dbo.technician (
     technician_id        numeric                        identity,
     username             varchar(255)                   null,
     fullname             varchar(255)                   null,
     start_date           datetime                       not null,
     end_date             datetime                       null,
     commit_message       text                           not null,
     constraint PK_TECHNICIAN primary key clustered (technician_id)
           on "default"
)
go


/*==============================================================*/
/* Table: technician_project                                    */
/*==============================================================*/
create table dbo.technician_project (
     technician_project_id numeric                        identity,
     project_id           numeric                        null,
     technician_id        numeric                        null,
     constraint PK_TECHNICIAN_PROJECT primary key clustered (technician_project_id)
           on "default"
)
go


/*==============================================================*/
/* Table: volume_unit                                           */
/*==============================================================*/
create table dbo.volume_unit (
     volume_unit_id       numeric                        identity,
     label                varchar(255)                   null,
     description          varchar(255)                   null,
     exponent             numeric(26,20)                 not null,
     start_date           datetime                       not null,
     end_date             datetime                       null,
     commit_message       text                           not null,
     constraint PK_VOLUME_UNIT primary key clustered (volume_unit_id)
           on "default"
)
go


/*==============================================================*/
/* Table: weight_unit                                           */
/*==============================================================*/
create table dbo.weight_unit (
     weight_unit_id       numeric                        identity,
     label                varchar(255)                   null,
     description          varchar(255)                   null,
     exponent             numeric(26,20)                 not null,
     start_date           datetime                       not null,
     end_date             datetime                       null,
     commit_message       text                           not null,
     constraint PK_WEIGHT_UNIT primary key clustered (weight_unit_id)
           on "default"
)
go


/*==============================================================*/
/* Table: zope_security_principal                               */
/*==============================================================*/
create table dbo.zope_security_principal (
     id                   numeric                        identity,
     principal_id         varchar(255)                   null,
     role_id              varchar(255)                   null,
     location             varchar(255)                   null,
     value                int                            not null,
     constraint PK_SECURITY_PRINCIPAL primary key clustered (id)
           on "default"
)
go


/*==============================================================*/
/* Table: zope_security_role                                    */
/*==============================================================*/
create table dbo.zope_security_role (
     id                   numeric                        identity,
     role_id              varchar(255)                   null,
     principal_id         varchar(255)                   null,
     location             varchar(255)                   null,
     value                int                            not null,
     constraint PK_SECURITY_ROLE primary key clustered (id)
           on "default"
)
go


alter table dbo.additional_sample_data
   add constraint FK_ADDITION_REFERENCE_SCHEMA_F foreign key (schema_field_id)
      references dbo.schema_field (schema_field_id)
go


alter table dbo.additional_sample_data
   add constraint FK_ADDITION_REFERENCE_SAMPLE foreign key (sample_id)
      references dbo.sample (sample_id)
go


alter table dbo.aliquot
   add constraint FK_ALIQUOT_REFERENCE_SAMPLE foreign key (sample_id)
      references dbo.sample (sample_id)
go


alter table dbo.aliquot
   add constraint FK_ALIQUOT_REFERENCE_VOLUME_U foreign key (volume_unit_id)
      references dbo.volume_unit (volume_unit_id)
go


alter table dbo.aliquot
   add constraint FK_ALIQUOT_REFERENCE_WEIGHT_U foreign key (weight_unit_id)
      references dbo.weight_unit (weight_unit_id)
go


alter table dbo.aliquot
   add constraint FK_ALIQUOT_REFERENCE_CONCENTR foreign key (concentration_unit_id)
      references dbo.concentration_unit (concentration_unit_id)
go


alter table dbo.aliquot
   add constraint FK_ALIQUOT_REFERENCE_CONTAINE foreign key (container_id)
      references dbo.container (container_id)
go


alter table dbo.aliquot
   add constraint FK_ALIQUOT_REFERENCE_PROJECT foreign key (project_id)
      references dbo.project (project_id)
go


alter table dbo.container
   add constraint FK_CONTAINE_REFERENCE_CONTAINE foreign key (container_type_id)
      references dbo.container_type (container_type_id)
go


alter table dbo.location_project
   add constraint FK_LOCATION_REFERENCE_LOCATION foreign key (location_id)
      references dbo.location (location_id)
go


alter table dbo.location_project
   add constraint FK_LOCATION_REFERENCE_PROJECT foreign key (project_id)
      references dbo.project (project_id)
go


alter table dbo.origin_sample_aliquots
   add constraint origin_sam_aliquo_376385379 foreign key (aliquot_id)
      references dbo.aliquot (aliquot_id)
go


alter table dbo.origin_sample_aliquots
   add constraint origin_sam_sample_360385322 foreign key (sample_id)
      references dbo.sample (sample_id)
go


alter table dbo.sample_type_project
   add constraint FK_SAMPLE_T_REFERENCE_SAMPLE_T foreign key (sample_type_id)
      references dbo.sample_type (sample_type_id)
go


alter table dbo.sample_type_project
   add constraint FK_SAMPLE_T_REFERENCE_PROJECT foreign key (project_id)
      references dbo.project (project_id)
go


alter table dbo.technician_project
   add constraint FK_TECHNICI_REFERENCE_PROJECT foreign key (project_id)
      references dbo.project (project_id)
go


alter table dbo.technician_project
   add constraint FK_TECHNICI_REFERENCE_TECHNICI foreign key (technician_id)
      references dbo.technician (technician_id)
go


