##############################################################################
#
# Copyright (c) 2004 Enfold Systems LLC. All rights reserved.
#
# This software is distributed under the terms of the Zope Public
# License (ZPL) v2.1. See COPYING.txt for more information.
#
##############################################################################
"""
$Id: __init__.py 5475 2004-07-07 15:52:34Z dreamcatcher $
"""

from zope.event import notify
from zope.interface import implements
from zope.app.event.interfaces import IObjectEvent
from zope.app.event.objectevent import ObjectEvent

class IObjectExpiredEvent(IObjectEvent):
    """The object has been modified, but the changes should be
    forgot.

    Usually means the transaction has been aborted, or changes have
    already been commited.
    """

class ObjectExpiredEvent(ObjectEvent):
    implements(IObjectExpiredEvent)

def expired(object):
    notify(ObjectExpiredEvent(object))
