##############################################################################
#
# Copyright (c) 2004 Enfold Systems LLC. All rights reserved.
#
# This software is distributed under the terms of the Zope Public
# License (ZPL) v2.1. See COPYING.txt for more information.
#
##############################################################################
"""
$Id: adapter.py 5212 2004-06-21 18:09:05Z philikon $
"""

from zope.interface import Interface
from zope.schema import TextLine, Password
from zope.app.container.constraints import ItemTypePrecondition
from zope.app.pluggableauth.interfaces import IPrincipalSource

from sqlos.interfaces import ISQLSchema
from sqlos.interfaces.container import ISQLObjectContainer

class IPrincipalInfo(ISQLSchema):

    fullname = TextLine(title=u'Full Name',
                        required=True)

    username = TextLine(title=u'Username',
                        description=u'The user login name',
                        required=True,
                        )

class IPrincipalPassword(Interface):

    password = Password(title=u'Password',
                        required=True)

class IPrincipal(IPrincipalInfo, IPrincipalPassword):
    """A SQL-Based Principal, for use with ISQLObjectPrincipalSource"""

class ISQLObjectPrincipalSource(IPrincipalSource):
    """Describes SQLObject-based principal sources."""

    def readPrincipals():
        """ """

class IPrincipalContainer(ISQLObjectContainer):
    """A container for principals"""

    def __setitem__(name, obj):
        """Add a new object"""

    __setitem__.precondition = ItemTypePrecondition(IPrincipal)
